Transaction API

1. Get the current server time

  • Path: /account/time

  • Method: GET

  • Response:

Parameter
Type
Example
Description

data

number

1730975545000

timestamp

  • Resopnse example:

{
    "code": 0,
    "msg": "ok",
    "data": 1730975545000
}

2. Gmail login

  • Path: /account/socialLogin

  • Method: POST

  • Request Body:

Parameter
IsRequired
Type
Example
Description

code

true

string

4vy...

google auth code

social

true

string

google

social(google,telegram,twitter)

*Please note that currently only google is supported.

  • Response:

Parameter
Type
Example
Description

token

string

0529a86ed1f54d1b551b2d37e52aba64279fe70

api-key

address

string

DVcxFHjnDJKrej8eAouYWLkkiqf9aAwu5Z3PRpJuDyg2

generate wallet address

  • Response example:

3. Wallet login

  • Path: /account/walletLogin

  • Method: POST

  • Request Body:

Parameter
isRequired
Type
Example
Description

address

true

string

DVcxFH...

wallet address

signature

true

string

0xbabe03...

signature

timestamp

true

number

1730975545000

timestamp

circle-info

Wallet sign message

  • Response:

Parameter
Type
Example
Description

token

string

0529a86ed1f54d1b551b2d37e52aba64279fe70

api-key

wallet

string

DVcxFHjnDJKrej8eAouYWLkkiqf9aAwu5Z3PRpJuDyg2

user wallet address

address

string

DVcxFHjnDJKrej8eAouYWLkkiqf9aAwu5Z3PRpJuDyg2

bullme wallet address

  • Response example:

4. Withdraw

  • Path: /account/withdraw

  • Method: POST

  • Request headers:

Parameter
isRequired
Type
Example
Description

api-key

true

string

0529a86...

api-key

timestamp

true

number

1730975545000

timestamp

  • Request body:

*Please note that the amount is no precision (with decimals).

Parameter
isRequired
Type
Example
Description

address

true

string

0xECb87...

destination address

token

true

string

0xbabe03...

token address

amount

true

number

100000000000

amount (with decimals)

  • Response:

Parameter
Type
Example
Description

data

string

qyMtnbbSiMbw3e9.....

signature hash

  • Response example:

5. Quote before launch

  • Path: /account/calc

  • Method: POST

  • Request body:

Parameter
isRequired
Type
Example
Description

source

true

string

pump

pump/moonshot

type

true

string

buy

buy/sell

data

true

object

{}

quote data

  • Pump coinData:

Parameter
isRequired
Type
Example
Description

virtual_sol_reserves

true

number

110364752010

virtual_sol_reserves

virtual_token_reserves

true

number

291669210039976

virtual_token_reserves

  • Moonshot coinData: { "moonshot": { "curvePosition": 110364752010 }}

Parameter
isRequired
Type
Example
Description

curvePosition

true

number

110364752010

moonshot curvePosition

  • Quote data:

Parameter
isRequired
Type
Example
Description

mintAddress

true

string

AY7TrgZ...

mintAddress

tokenAmount

true

number

0.1

meme amount(without decimals)

baseAmount

true

number

0.1

SOL amount(without decimals)

slippageDecimal

true

number

0.02

slippage 2%

quoteAsset

true

object

{}

quote asset

baseAsset

true

object

{}

base asset

coinData

false

object

{}

pump coinData / moonshot coinData

buyType

true

string

base

buy baseAsset / buy quoteAsset

  • Pump coinData:

  • Moonshot coinData:

  • Request body example:

  • Response:

Parameter
Type
Example
Description

data

number

125.232545

out amount(without decimals)

  • Response example:

6. Buying and selling before launch

  • Path: /account/trade

  • Method: POST

  • Request headers:

Parameter
isRequired
Type
Example
Description

api-key

true

string

0529a86...

api-key

timestamp

true

number

1730975545000

timestamp

  • Request body:

Parameter
isRequired
Type
Example
Description

source

true

string

pump

pump/moonshot

type

true

string

buy

buy/sell

data

true

object

{}

trade data

  • Pump coinData:

Parameter
isRequired
Type
Example
Description

virtual_sol_reserves

true

number

110364752010

virtual_sol_reserves

virtual_token_reserves

true

number

291669210039976

virtual_token_reserves

bonding_curve

true

string

Csv3AVwj...

bonding_curve address

associated_bonding_curve

true

string

Cnb5Ev7...

associated_bonding_curve address

  • Trade data:

Parameter
isRequired
Type
Example
Description

mintAddress

true

string

AY7TrgZ...

mintAddress

tokenAmount

true

number

0.1

meme amount(without decimals)

baseAmount

true

number

0.1

SOL amount(without decimals)

priorityFeeInSol

true

number

0.0001

ComputeBudgetProgram.setComputeUnitPrice

slippageDecimal

true

number

0.02

slippage 2%

quoteAsset

true

object

{}

quote asset

baseAsset

true

object

{}

base asset

coinData

false

object

{}

pump meme curve data (only pump)

  • Request body example:

  • Response:

Parameter
Type
Example
Description

data

string

qyMtnbbSiMbw3e9.....

signature hash

  • Response example:

7. Quote after launch (buying and selling)

  • Path: /account/quote

  • Method: POST

  • Request body:

Parameter
isRequired
Type
Example
Description

inTokenSymbol

true

string

SOL

inTokenSymbol

inTokenAddress

true

string

So111111111...

inTokenAddress

outTokenSymbol

true

string

FUNGY

outTokenSymbol

outTokenAddress

true

string

J74ufcR....

outTokenAddress

amount

true

number

1000000

amount(with decimals)

slippage

true

number

100

slippage

  • Response:

Parameter
Type
Example
Description

data

number

124522000

out amount (with decimals)

  • Response example:

8. Swap after launch (buying and selling)

  • Path: /account/swap

  • Method: POST

  • Request headers:

Parameter
isRequired
Type
Example
Description

api-key

true

string

0529a86...

api-key

timestamp

true

number

1730975545000

timestamp

  • Request body:

Parameter
isRequired
Type
Example
Description

inTokenSymbol

true

string

SOL

inTokenSymbol

inTokenAddress

true

string

So111111111...

inTokenAddress

outTokenSymbol

true

string

FUNGY

outTokenSymbol

outTokenAddress

true

string

J74ufcR....

outTokenAddress

amount

true

number

1000000

amount (with decimals)

slippage

true

number

100

slippage

  • Response:

Parameter
Type
Example
Description

data

string

qyMtnbbSiMbw3e9.....

signature hash

  • Response example:

9. Get Balances

  • Path: /account/tokenList

  • Method: GET

  • Request headers:

Parameter
isRequired
Type
Example
Description

api-key

true

string

0529a86...

api-key

timestamp

true

number

1730975545000

timestamp

  • Response:

Parameter
Type
Example
Description

mint

string

So111111111...

mint

name

string

SOL

name

symbol

string

SOL

symbol

decimals

string

9

decimals

image

string

https://...

image

price

number

234

price

balance

number

0.01

balance

  • Response example:

10. Get trade list

  • Path: /account/tradeList

  • Method: GET

  • Request headers:

Parameter
isRequired
Type
Example
Description

api-key

true

string

0529a86...

api-key

timestamp

true

number

1730975545000

timestamp

  • Request parameter:

Parameter
isRequired
Type
Example
Description

page

false

number

1

page

limit

false

number

30

limit

  • Response:

Parameter
Type
Example
Description

id

number

1

id

address

string

J74ufcR...

wallet address

mint

string

So111111111...

mint

type

string

sell

buy/sell

source

string

pump

pump/moonshot

token

object

{}

token json

sol

object

{}

sol json

tokenAmount

number

15932.852594000

tokenAmount (without decimals)

solAmount

number

0.001

solAmount (without decimals)

hash

string

J74ufcR...

hash

create_at

string

2024-11-19 11:26:40

create_at

  • Response example:

  • Path:/account/referral/link

  • Method:GET

  • Request headers:

Parameter
isRequired
Type
Example
Description

api-key

true

string

0529a86...

api-key

timestamp

true

number

1730975545000

timestamp

  • Request example:

12. Save invitation relationship

  • Path: /account/referral/invest

  • method: GET

  • Request headers:

Parameter
isRequired
Type
Example
Description

api-key

true

string

0529a86...

api-key

timestamp

true

number

1730975545000

timestamp

  • Request parameter:

Parameter
isRequired
Type
Example
Description

code

true

string

mi1TRHD8Xvih

get from url

  • Request example:

13. Get reward information

  • Path: /account/referral/reward

  • Method: GET

  • Request headers:

Parameter
isRequired
Type
Example
Description

api-key

true

string

0529a86...

api-key

timestamp

true

number

1730975545000

timestamp

  • Response example:

14. Claim

  • Path: /account/referral/claim

  • Method: GET

  • Request headers:

Parameter
isRequired
Type
Example
Description

api-key

true

string

0529a86...

api-key

timestamp

true

number

1730975545000

timestamp

  • Response example:

Last updated